/**
 * 
 */
package org.springblade.config;

import org.springblade.core.config.SwaggerConfiguration;
import org.springblade.core.constant.AppConstant;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2WebMvc;

/**
 * @author wookvn
 *
 */
@Configuration
@EnableSwagger2WebMvc
public class SwaggerConfig extends SwaggerConfiguration {

	@Bean
	public Docket psonDocket() {
		return docket("埋点字典管理", AppConstant.BASE_PACKAGES + ".pson");
	}
	
	@Bean
	public Docket useranalysisDocket() {
		return docket("用户分析接口", AppConstant.BASE_PACKAGES + ".useranalysis");
	}
	
}
