package org.springblade.useranalysis.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hyb22
 * @version 1.0
 * @description: TODO
 * @date 2023/11/29 22:01
 */
@Data
public class DetailDataExcel implements Serializable {

    @ExcelProperty(value = "日期",index = 0)
    private Date date;

    @ExcelProperty(value = "租户",index = 1)
    private String tenant;

    @ExcelProperty(value = "用户",index = 2)
    private String user;

    @ExcelProperty(value = "页面类型",index = 3)
    private String pageType;

    @ExcelProperty(value = "页面分类",index = 4)
    private String pageClassify;

    @ExcelProperty(value = "页面名称",index = 5)
    private String pageName;

    @ExcelProperty(value = "页面地址",index = 6)
    private String url;

    @ExcelProperty(value = "浏览次数",index = 7)
    private Integer pv;

    @ExcelProperty(value = "浏览用户数",index = 8)
    private Integer uv;
}
