package org.springblade.useranalysis.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 浏览次数top10实体
 * @date 2023/11/27 14:31
 */
@Data
@ApiModel(value = "NumberOfKanbanViewsDto",description = "浏览次数top10实体")
public class NumberOfKanbanViewsDto implements Serializable {

    @ApiModelProperty("类型：幻灯片，可视化大屏，自助报表，模板")
    private String type;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("浏览人数")
    private Integer uv;

    @ApiModelProperty("浏览数")
    private Integer pv;
}
