/**
 * 
 */
package org.springblade.useranalysis.dto;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author wookvn
 *
 */
@Data
public class RequestWebsite implements Serializable{

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	@ApiModelProperty(value = "项目code")
	private String proj;
	
	@ApiModelProperty(value = "事件")
	private String event;
	
	@ApiModelProperty(value = "标题")
	private String title;
	
	@ApiModelProperty(value = "平台类型")
	private String platformType;
	
	@ApiModelProperty(value = "神策ID")
	private String distinctId;
	
	@ApiModelProperty(value = "开始时间")
	private String startTime;
	
	@ApiModelProperty(value = "结束时间")
	private String endTime;

	@ApiModelProperty(value = "限制查询条数[默认1000]")
	private int limit = 1000;
}
