package org.springblade.useranalysis.dto.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class DataSourceAnalysisPageParams {

    private String startTime;
    private String endTime;
    @ApiModelProperty("mysql oracle sqlserver postgresql clickhouse kingbase")
    private String type;
    @ApiModelProperty("数据源地址")
    private String name;
    @ApiModelProperty("负责人")
    private String responsiblePerson;
    @ApiModelProperty("租户id")
    private String tenantId;
    @ApiModelProperty("默认1")
    private int page = 1;
    @ApiModelProperty("默认10")
    private int size = 10;

}
