package org.springblade.useranalysis.dto.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class VisualDataAnalysisPageParams {

    private String startTime;
    private String endTime;
    private String name;
    @ApiModelProperty("可视化大屏 自助报表")
    private String type;
    @ApiModelProperty("租户id")
    private String tenantId;
    @ApiModelProperty("默认1")
    private int page = 1;
    @ApiModelProperty("默认10")
    private int size = 10;

}
