/**
 * 
 */
package org.springblade.useranalysis.enums;

/**
 * @author wookvn
 *
 */
public enum HopperEventUnit {

	minute{
		@Override
		public long getSeconds(int duration) {
			return duration * 60L;
		}
	},
	
	hour{
		@Override
		public long getSeconds(int duration) {
			return duration * 60L * 60L;
		}
	},
	
	day{
		@Override
		public long getSeconds(int duration) {
			return duration * 24L * 60L * 60L;
		}
	};
	
	public abstract long getSeconds(int duration);
}