package org.springblade.useranalysis.dto;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 明细数据实体
 * @date 2023/11/28 09:51
 */
@Data
@ApiModel(value = "AccessMonitorPageDto",description = "明细数据实体")
public class AccessMonitorPageDto implements Serializable {

    @ApiModelProperty("日期")
    private long dTime;

    @ApiModelProperty("租户")
    private String tenant;

    @ApiModelProperty("租户id")
    private String tenantId;

    @ApiModelProperty("用户")
    private String user;

    @ApiModelProperty("事件code")
    private String event;

    @ApiModelProperty("事件名字")
    private String eventName;

    @ApiModelProperty("ip")
    private String ip;



}
