package org.springblade.useranalysis.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hepingguo
 * @version 1.0
 * @description: TODO
 * @date 2023/11/27 15:01
 */
@Data
@ApiModel(value = "ActiveTenantUserDto",description = "活跃租户或者用户返回实体")
public class ActiveTenantUserDto implements Serializable {

    @ApiModelProperty("租户名称")
    private String tenant;

    @ApiModelProperty("用户名称")
    private String user;

    @ApiModelProperty("浏览数")
    private Integer pv;

    @ApiModelProperty("人数")
    private Integer uv;

    @ApiModelProperty("类型，user：表示用户，tenant：租户")
    private String type;
}
