package org.springblade.useranalysis.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 数据概况
 * @date 2023/11/27 17:01
 */
@Data
@ApiModel(value = "DataOverviewDto", description = "数据概况返回实体")
public class DataOverviewDto implements Serializable {

    @ApiModelProperty("日期")
    private Date date;

    @ApiModelProperty("类型名称")
    private String name;

    @ApiModelProperty("人数")
    private Integer uv;

    @ApiModelProperty("浏览数")
    private Integer pv;

    @ApiModelProperty("累计数量")
    private Integer count;

    @ApiModelProperty("类型，type：累计看板数，brokenLine：折线图")
    private String type;
}
