package org.springblade.useranalysis.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 明细数据实体
 * @date 2023/11/28 09:51
 */
@Data
@ApiModel(value = "DataSourceDetailsPageDto", description = "数据源调用明细")
public class DataSourceDetailsPageDto implements Serializable {
    private String ip;
    @ApiModelProperty("调用用户")
    private String userName;
    //    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    @ApiModelProperty("访问时间")
    private long time;
    private String tenantId;
    private String tenant;
    @ApiModelProperty("数据源类型")
    private String dsType;
    @ApiModelProperty("数据源端口")
    private String dsPort;
    @ApiModelProperty("数据源ip")
    private String url;
    @ApiModelProperty("成功状态 1成功 0失败")
    private String successStatus;
    @ApiModelProperty("错误信息")
    private String errMessage;
    @ApiModelProperty("数据源负责人")
    private String responsiblePerson;

}
