package org.springblade.useranalysis.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author hepingguo
 * @version 1.0
 * @description: 看板类型浏览次数占比
 * @date 2023/11/27 17:00
 */
@Data
@ApiModel(value = "KanbanTypeDto", description = "看板类型浏览次数占比返回实体")
public class KanbanTypeDto implements Serializable {

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("分类，type:左边饼图，name:右边饼图")
    private String type;

    @ApiModelProperty("浏览数")
    private Integer pv;

    @ApiModelProperty("百分比")
    private Double percentage;
}
