package org.springblade.useranalysis.dto.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class AccessMonitorPageParams {

    private String startTime;
    private String endTime;
    private String eventCode;
    private String ip;
    @ApiModelProperty("租户id")
    private String tenantId;
    @ApiModelProperty("默认1")
    private int page = 1;
    @ApiModelProperty("默认10")
    private int size = 10;

}
